-- Часть 2.


-- *** *** *** *** *** --
--       Локации       --
-- *** *** *** *** *** --

ep2_intro = room {
	nam = 'Шизофрения';
	hideinv = true;
	forcedsc = true;
	entered = function()
		remove( keyOnCircuit, me() );
		remove( clawHammer, me() );
		remove( coin, me() );
		remove( legOfChair, me() );
		remove( keys, me() );
		remove( dips, me() );
		remove( paperText, me() );
		stop_music();
	end;
	dsc = [[Часть 2. Cogito ergo sum.
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		walk('ep2_intro1');
	end,
}

ep2_intro1 = room {
	nam = 'Шизофрения';
	hideinv = true;
	forcedsc = true;
	dsc = [[Приступы становились всё сильнее. Галлюцинации - всё более реальнее и красочнее. Теперь я уже перестал отличать: где правда, а где ложь.^^
	Голоса в голове совершенно выводили меня из себя. Поначалу я пытался с ними спорить, но вскоре понял, что это бесполезно. Любой мой вопрос отдавался в голове тысячами ответов.^^
	Перегруженный мозг усердно работал из последних сил. Ещё немного и он не выдержит такой нагрузки.
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		set_music('music2.mod', 0);
		walk('ep2_myRoom');
	end,
}

ep2_myRoom = room {
	nam = 'моя палата';
	pic = 'img/my_room.png';
	dsc = 'Я нахожусь в больничной палате. Комната окутана полумраком.';
	way = { 'ep2_corridor' };
	obj = {
		'ep2_smallWindow',	-- маленькое окошко.
		'ep2_ironBed',		-- железная кровать.
		'ep2_chair',		-- стул.
		'ep2_roomDoor',		-- дверь.
		'ep2_unknownMan'	-- человек в палате.
	};
	exit = function(s, t)
		if t == ep2_corridor and not ep2_roomDoor.status then
			p 'Я не могу выйти отсюда - дверь закрыта.';
			return false;
		end;
	end;
};

ep2_lightRoom = room {
	nam = 'странная комната';
	pic = 'img/ep2_light_room.png';
	obj = {
		'ep2_crane',	-- Водопроводный кран.
		'ep2_valve'		-- Вентиль.
	};
	way = { vroom('идти обратно', 'ep2_secondRoom')};
	dsc = [[Вся комната залита ярким светом. Я с трудом различаю очертания предметов.]];
};

ep2_secondRoom = room {
	nam = 'соседняя палата';
	pic = 'img/ep2_second_room.png';
	obj = {
		'ep2_pool',		-- Лужа.
		'ep2_spot'		-- Пятно.
	};
	way = { vroom('идти на свет', 'ep2_lightRoom'),
			vroom('выйти в коридор', 'ep2_corridor')};
	dsc = [[Яркий свет режет глаза...]];
};

ep2_lab = room {
	nam = 'лаборатория';
	enter = function()
		if not ep2_showVision2. status then
			walk( 'ep2_showVision2' );
		end;
	end;
	pic = 'img/lab_no_man.png';
	act = function()
		walk ('testTube');
	end;
	dsc = 'Пара столов и идеальная чистота.';
	way = { vroom('выйти в коридор', 'ep2_corridor')};
	obj = { 'ep2_testtubes',		-- Пробирки.
			'ep2_book'				-- Книга.
	};
};

ep2_lab_color = room {
	nam = 'лаборатория в красках';
	pic = 'img/ep2_lab_color.png';
	dsc = 'Пара столов и идеальная чистота.';
	way = { vroom('выйти вслед за девочкой', 'ep3_intro') : disable()};
	obj = {'ep2_girl'};
};

ep2_corridor = room {
	nam = 'коридор';
	pic = 'img/corridor.png';
	dsc = 'В коридоре очень темно. Здесь расположена моя палата. Рядом ещё одна. Чуть дальше -- лаборатория. Ни начала, ни конца коридора не видно.';
	exit = function(s, t)
		if t == ep2_secondRoom and not have( ep2_card ) then
			p 'На двери соседней палаты нет ручки и нет замка. Я не знаю как ее открыть.';
			return false;
		end;
		if t == ep2_secondRoom and have( ep2_card ) then
			p 'Я приложил карту к двери -- внезапно она открылась.';
			return true;
		end;
	end;
	way = { 'ep2_myRoom', 'ep2_secondRoom', 'ep2_lab' };
};