-- Часть 2.


-- *** *** *** *** *** --
--       Видения       --
-- *** *** *** *** *** --

-- Видение 1. "Человек входит в палату."
ep2_showVision1 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[Я размахнулся и ударил стулом по двери. Раздался страшный грохот и треск дерева, но стул выдержал. За дверью где-то далеко послышались шаги и, судя по всему, они приближались. Через пару мгновений дверь в палату резко отворилась, внутрь забежал человек и уставился на меня. В его суровом взгляде читались удивление и ненависть.]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		enable( ep2_chair );
		enable( ep2_unknownMan );
		walk('ep2_myRoom');
	end,
};

-- Видение 2. "Девочка в лаборатории."
ep2_showVision2 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[Я зашел в лабораторию. Все было как обычно, но чувство тревоги не покидало меня. Посреди комнаты стояла маленькая девочка лет семи в белоснежном платьице и, не моргая, пристально смотрела на меня. Этот детский, такой еще наивный взгляд заставлял сердце биться в удвоенном ритме. От этих прекрасных голубых глаз перехватывало дыхание.^
	Внезапно девочка отвернулась к лежащим на столе пробиркам, перелила содержимое одной в другую и, залпом выпив полученную смесь, упала замертво.^
	Я поспешил на помощь, но, пройдя всего пару шагов, встал как вкопанный - маленькая красавица бесследно исчезла!]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		walk('ep2_lab');
	end,
};

-- Видение 3. "Жизнь в красках."
ep2_showVision3 = room {
	nam = 'видение';
	hideinv = true;
	var {
		status = false;		-- Показывалось ли уже видение. Да/Нет. true/false.
	};
	dsc = [[На всякий случай зажмурившись, я выпил полученный эликсир. Довольно необычный вкус. Что-то очень знакомое. Что-то из далекого детства.^
	Открыв глаза, я с удивлением обнаружил, что мир вновь засиял красками! А ведь я уже давно забыл, как это красиво.]];
	obj = { vobj('continue','{Дальше}') },
	act = function(s)
		s.status = true;
		walk('ep2_lab_color');
	end,
};

ep2_showVision1_brr = cutscene {
	nam = 'видение';
	dsc = function()
		p 'Я размахнулся и ударил стулом по двери. Раздался страшный грохот и треск дерева, но стул выдержал.^{cut}^';
		p 'За дверью где-то далеко послышались шаги и, судя по всему, они приближались.^{cut}^';
		p 'Через пару мгновений дверь в палату резко отворилась, внутрь забежал человек и уставился на меня. В его суровом взгляде читались удивление и ненависть.^{cut}^';
	end;
	way = {vroom('Продолжить','ep2_myRoom')};
};