-- Часть 3.


-- *** *** *** *** *** --
--       Локации       --
-- *** *** *** *** *** --

ep3_intro = room {
	nam = 'Шизофрения';
	hideinv = true;
	forcedsc = true;
	entered = function()
		remove( ep2_keys, me() );
		remove( ep2_card, me());
		stop_music();
	end;
	dsc = [[Часть 3. Мир в красках.
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		walk('ep3_intro1');
	end,
}

ep3_intro1 = room {
	nam = 'Шизофрения';
	hideinv = true;
	forcedsc = true;
	dsc = [[Я смотрел на этот знакомый, но, в то же время, абсолютно новый для меня мир. Он пестрил красками.
	]],
	obj = { vobj('continue','{Дальше}') },
	act = function()
		set_music('music3.mod', 0);
		walk('ep3_forest');
	end,
}

ep3_forest = room {
	nam = 'лес';
	pic = 'img/ep3_forest.png';
	dsc = 'Я нахожусь в лесу.';
	way = { 'ep3_house'};
	obj = { 'ep3_trees',		-- Деревья.
			'ep3_girl_forest',	-- Девочка.
			'ep3_children',		-- Дети.
			'ep3_skip'			-- Сачок.
			};
};

ep3_house = room {
	nam = 'дом';
	pic = 'img/ep3_house.png';
	dsc = 'Из кустов виден дом.';
	way = { 'ep3_forest', 'ep3_in_house' };
} : disable();

ep3_in_house = room {
	nam = 'в доме';
	pic = 'img/ep3_in_house.png';
	dsc = 'Внутри дома тихо и спокойно.';
	way = { vroom('выйти из дома', 'ep3_house'),
		'ep3_in_house_mirror',
		'ep3_mirror_exit'};
	obj = { 'ep3_chairs',		-- Стулья.
			'ep3_mirror',		-- Зеркало.
			'ep3_girl_in_house',-- Девочка.
			'ep3_compass',		-- Компас.
			'ep3_clock'			-- Часы.
			};
};

ep3_forest_mirror = room {
	nam = 'лес (зеркальный мир)';
	pic = 'img/ep3_forest_mirror.png';
	dsc = 'Нахожусь в лесу я.';
	way = { 'ep3_house_mirror'};
	obj = { 'ep3_butterfly_mirror',	-- Зеркальная бабочка.
			'ep3_figure',			-- Фигура человека.
			'ep3_dummy'				-- Манекен.
	};
};

ep3_house_mirror = room {
	nam = 'дом (зеркальный мир)';
	pic = 'img/ep3_house_mirror.png';
	dsc = 'Дом виден из кустов.';
	way = { 'ep3_forest_mirror', 'ep3_in_house_mirror' };
};

ep3_in_house_mirror = room {
	nam = 'в доме (зеркальный мир)';
	pic = 'img/ep3_in_house_mirror.png';
	dsc = 'Спокойно и тихо дома внутри.';
	way = { vroom('выйти из дома', 'ep3_house_mirror') };
	obj = { 'ep3_chairs_mirror',	-- Стулья.
			'ep3_mirror_mirror',	-- Зеркало.
			'ep3_clock_mirror'		-- Зеркальные часы.
			};
} : disable();

ep3_mirror_exit = room {
	hideinv = true;
	forcedsc = true;
	nam = 'идти в зеркальный проход';
	dsc = 'Я вошел в зеркало.';
	obj = { vobj('continue','{Дальше}') },
	act = function()
		walk('epilogue');
	end,
} : disable();