-- Часть 3.


-- *** *** *** *** *** --
--       Объекты       --
-- *** *** *** *** *** --

ep3_clock_mirror = obj {
	nam = 'зеркальные часы';
	act = [[Я взглянул на часы --  часовая стрелка передвинулась чуть назад.]];
	dsc = [[Висят {часы} старинные на стене.]];
};

ep3_clock = obj {
	nam = 'часы';
	act = [[Я взглянул на часы --  минутная стрелка передвинулась чуть вперед.]];
	dsc = [[На стене висят старинные {часы}.]];
};

ep3_paper_mirror = obj {
	nam = 'клочок бумаги';
	inv = [[На бумаге написано:^^
	Лево - запад.^
	Лево - юго-запад.^
	Право - северо-запад.^
	Право - севе... (дальше текст стерся)
	]];
};

ep3_butterfly_mirror = obj {
	nam = 'бабочка';
	var {
		useCount = 0;	-- Количество попыток поймать бабочку. Она ловится с 3-ей попытки.
	};
	used = function(s, w)
		if w == ep3_skip then
			s.useCount = s.useCount + 1;
			if s.useCount == 1 then
				p 'Я попробовал поймать бабочку, но ничего не вышло.';
			elseif s.useCount == 2 then
				p 'Я еще раз попробовал поймать бабочку, но снова ничего не вышло.';
			elseif s.useCount == 3 then
				p 'Наконец мне удалось поймать бабочку.';
				take ( 'ep3_butterfly_mirror' );
			end;
		end;
	end;
	inv = function()
		p 'Вместо бабочки в моих руках лежал клочок бумаги.';
		drop ( 'ep3_butterfly_mirror' );
		ep3_butterfly_mirror : disable();
		take ( 'ep3_paper_mirror' );
	end;
	dsc = 'В деревьях порхает {бабочка}.';
};

ep3_compass = obj {
	nam = 'компас';
	tak = 'Я взял компас.';
	inv = 'Потертый, но, вроде бы, рабочий.';
	dsc = 'На столе лежит {компас}.';
};

ep3_trees = obj {
	nam = 'дерева';
	act = 'Деревья наклонены в разные стороны.';
	used = function(s, w)
		if w == ep3_compass then
			p 'Одно дерево наклонено на юг, другое -- на северо-запад, третье -- на север, четвертое -- на юго-восток.';
		end;
	end;
	dsc = 'Четыре {дерева} растут отдельно.';
};

ep3_skip = obj {
	nam = 'сачок';
	tak = 'Я взял сачок.';
	inv = [[Обычный сачок.]];
	dsc = 'На земле лежит {сачок}.';
} : disable();

ep3_children = obj {
	nam = 'дети';
	act = function()
		p 'Дети заметили меня и убежали, побросав игрушки.';
		ep3_girl_in_house : disable();
		ep3_children : disable();
		ep3_skip : enable();
	end;
	dsc = 'Недалеко играют другие {дети}.';
};

ep3_girl_in_house = obj {
	nam = 'девочка';
	act = function()
		p 'Девочка дотронулась до стула,подошла к зеркалу и смело шагнула прямо в него.';
		ep3_girl_in_house : disable();
	end;
	dsc = 'Возле зеркала стоит {девочка}.';
} : disable();

ep3_girl_forest = obj {
	nam = 'девочка';
	act = function()
		p 'Увидев меня, девочка улыбнулась и убежала.';
		ep3_girl_forest : disable();
		ep3_girl_in_house : enable();
		ep3_house : enable();
	end;
	dsc = 'Голубоглазая {девочка} смотрит куда-то вдаль.';
};

ep3_mirror = obj {
	nam = 'зеркало';
	act = function()
		-- Комбинация стульев для перехода в зеркальный мир.
		if chairsDlg.chairsCurrent[1] == 's' and
			chairsDlg.chairsCurrent[2] == 'nw' and
			chairsDlg.chairsCurrent[3] == 'n' and
			chairsDlg.chairsCurrent[4] == 'se' then
				ep3_in_house_mirror : enable();
				p 'Я вижу в зеркале проход.';
		-- Комбинация стульев для завершения игры.
		elseif chairsDlg.chairsCurrent[1] == 'e' and
			chairsDlg.chairsCurrent[2] == 'ne' and
			chairsDlg.chairsCurrent[3] == 'se' and
			chairsDlg.chairsCurrent[4] == 'se' then
				ep3_in_house_mirror : disable();
				ep3_mirror_exit : enable();
				p 'Я вижу в зеркале проход.';
		else
			p 'В этом зеркале отражается вся комната, кроме меня.';
		end;
	end;
	dsc = 'В углу комнаты установлено большое {зеркало}.';
};

ep3_mirror_mirror = obj {
	nam = 'зеркало';
	act = function()
		p 'Я вошел в зеркало.';
		walk( 'ep3_in_house' );
	end;
	dsc = 'Установлено {зеркало} в углу комнаты большое.';
};

ep3_chairs = obj {
	nam = 'стулья';
	act = function()
		walk ('chairsDlg');
	end;
	dsc = 'Возле стола находятся {стулья}.';
};

ep3_chairs_mirror = obj {
	nam = 'стулья';
	act = 'Стулья обычные это.';
	dsc = 'Находятся {стулья} стола возле.';
};